Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6475 - remote lpd got reset
Summary: remote lpd got reset
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr
Version: 6.1
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-28 18:34 UTC by pau
Modified: 2014-03-17 02:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-04 20:56:54 UTC


Attachments (Terms of Use)

Description pau 1999-10-28 18:34:56 UTC
I and my colleague each is using a IBM thinkpad 770
running redhat 6.1 with a IBM pcmcia token ring interface.
We can do telent, ftp, web surffing without any problem.
But when we tried to lpr to a remote printer, nothing
got printed and the system reported no errors.

We used tcpdump to trace the packets between the thinkpad
and the printer server. The trace showed that after the
thnkpad closed the tcp connection by sending a FIN, the
remote lpd responded with 2 packets, one is a normal ACK
and the 2nd one is the same ACK but with PUSH (P) flag.
Then the thinkpad sent a reset. An strace on the thinkpad's
lpd did not show it reset (abort) the connection.

We are at a loss at this point. We do not know why a reset
is sent, and why everything else, including FTP download
from thw web worked so well.

Comment 1 Bill Nottingham 1999-10-28 20:31:59 UTC
Is there anything at all on the remote print server?
Are any errors recorded in /var/log/messages?

Comment 2 pizza 1999-11-04 15:04:59 UTC
I am facing s similar problem that I believe is tied to the latest lpr
package released due to security issues.  I can't print to remote
spools (except useing samba).  No error messages on the server, but in
the client, I get "permission denied" messages when tryting to restart
the daemon.  It used to work... and yes, /etc/hosts.lpd is
up-to-date.  :)

Comment 3 Bill Nottingham 1999-11-04 16:46:59 UTC
Which update version are you using?

Comment 4 pizza 1999-11-04 19:30:59 UTC
lpr-0.44-1 on the rh 6.1 boxes.
lpr-0.44-0.5.2 on the rh 5.2 boxes which host the printers.

I'm going to snag the latest and greatest and see if it works.

Comment 5 pizza 1999-11-04 19:48:59 UTC
I snagged the lpr-0.46 SRPM off of rawhide and that seems to have
solved the problems I was having.  Apparently it's the RH6.1 RPM
(lpr-0.44-1) that's broken.. and the RH5.2 one on the server was
working just fine.

Comment 6 Bill Nottingham 1999-11-04 20:56:59 UTC
Yes, the 0.44 release has a few problems, that were fixed in
the 0.46 bugfix release.

(as for the other problem, that workaround is now in CVS, and
will be in the next lpr release.)


Note You need to log in before you can comment on or make changes to this bug.